<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__ezi2c" kind="group">
    <compoundname>group_hal_results_ezi2c</compoundname>
    <title>EZI2C HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__ezi2c_1gaffa17caceac4fbb375bcb8b7c524dbfa" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="88" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="88" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1gae944c60ac92110bb3a05de6f7a4e5491" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_CAN_NOT_REACH_DR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 1))</initializer>
        <briefdescription>
<para>Can not reach desired data rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="91" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="91" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1ga5fbf33476912aecd40ba68aee60daa3b" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_NUM_ADDR_NOT_VALID</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 2))</initializer>
        <briefdescription>
<para>Number of addresses is not valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="94" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="94" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1gaddf9285d2feb8628caf0e22abc8baae4" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_CHECK_USER_CONFIG</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 3))</initializer>
        <briefdescription>
<para>Number of addresses is not valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="97" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="97" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>EZI2C specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>